org.openmuc.openiec61850

## Class BdaBitString

- java.lang.Object
- - org.openmuc.openiec61850.ModelNode
  - - org.openmuc.openiec61850.FcModelNode
    - - org.openmuc.openiec61850.BasicDataAttribute
      - - org.openmuc.openiec61850.BdaBitString

All Implemented Interfaces:
  java.lang.Iterable<ModelNode>

Direct Known Subclasses:
  BdaCheck, BdaDoubleBitPos, BdaOptFlds, BdaQuality, BdaReasonForInclusion, BdaTapCommand, BdaTriggerConditions

    public abstract class BdaBitString
    extends BasicDataAttribute

### Field Summary

### Fields inherited from class org.openmuc.openiec61850.ModelNode

`children, objectReference`

### Constructor Summary

Constructors
Constructor and Description
`BdaBitString(ObjectReference objectReference, Fc fc, java.lang.String sAddr, int maxNumBits, boolean dchg, boolean dupd)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getMaxNumBits()`
`byte[]` `getValue()`
`void` `setDefault()` Initializes BIT_STRING with all zeros
`void` `setValue(byte[] value)`
`java.lang.String` `toString()`

### Methods inherited from class org.openmuc.openiec61850.BasicDataAttribute

`getBasicDataAttributes, getBasicType, getChild, getChild, getChildren, getDchg, getDupd, getQchg, getSAddr, iterator`

### Methods inherited from class org.openmuc.openiec61850.FcModelNode

`getFc`

### Methods inherited from class org.openmuc.openiec61850.ModelNode

`copy, getIterators, getName, getParent, getReference`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### BdaBitString

    public BdaBitString(ObjectReference objectReference,
                        Fc fc,
                        java.lang.String sAddr,
                        int maxNumBits,
                        boolean dchg,
                        boolean dupd)

### Method Detail

#### getValue

    public byte[] getValue()

#### setValue

    public void setValue(byte[] value)

#### getMaxNumBits

    public int getMaxNumBits()

#### setDefault

    public void setDefault()

Initializes BIT_STRING with all zeros

Specified by:
  `setDefault` in class `BasicDataAttribute`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `FcModelNode`